addpath('../common');
addpath(genpath('../mtlPUL'));

%nodes, edges, wires defined in there
load('input/simpleHarness.mat');

f = 1e5:1e5:80e6;
nFreq = length(f);

%every node has a load admittance matrix
Y_L = cell(1, 4);
Y_L{1} = 0;
Y_L{2} = repmat(diag([1/50 1/50]), [1 1 nFreq]);
Y_L{3} = 0;
Y_L{4} = 0;
Y_L{5} = 0;
%very basic function to generate a load admittance matrix
c1LoadF = @(numPorts, f) repmat((1/50)*eye(numPorts), [1 1 length(f)]);
Y_L{6} = c1LoadF;
Y_L{7} = [1/20 1/200];
Y_L{8} = 1/200;

%this matrix describes the load at the nodes at the transmitter that are
%not used for signal transmission. Dimension is therefore (NCond-2 x
%NCond-2 x nFreq)
Y_TX = repmat(diag([1/50 1/50 1/50 1/50]), [1 1 nFreq]);


%Define which node is transmitter (TX) and which is receiver (RX)
tx = 'TX';
rx = 'RX';

%Define which wire is used for transmitting (txWire) and receiving (rxWire)
txWire = 'w01';
rxWire = 'w07';

%compute SISO TF
H_SISO = MTLHarnessTF(f, nodes, edges, wires, tx, rx, txWire, rxWire, Y_L, Y_TX, gndProp);

printFun(f/1e6, 20*log10(abs(H_SISO)), 'auto', 'example xtalk TF', '', 'simpleHarness_TF');
